petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSPseudoSetTimeStep

Sets the user-defined routine to be called at each pseudo-timestep to update the timestep.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSPseudoSetTimeStep(TS ts,PetscErrorCode (*dt)(TS,PetscReal*,void*),void *ctx)

Logically Collective on TS Many br

### Input Parameters

| ts | - timestep context Many br
| dt | - function to compute timestep Many br
| ctx | - [optional] user-defined context for private data Many brrequired by the function (may be NULL) Many br

Many br

### Calling sequence of func

func (TS ts,PetscReal *newdt,void *ctx); - Many br
newdt -the newly computed timestep Many br
ctx -[optional] timestep context Many br

### Notes

The routine set here will be called by TSPseudoComputeTimeStep() Many brduring the timestepping process. Many brIf not set then TSPseudoTimeStepDefault() is automatically used Many br

### Keywords

timestep, pseudo, set

### See Also

TSPseudoTimeStepDefault(), TSPseudoComputeTimeStep()

Level:intermediate
Location:src/ts/impls/pseudo/posindep.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex1.c.html